## org.hibernate.envers.configuration.metadata.reader
Interface PersistentPropertiesSource

    public interface PersistentPropertiesSource

A source of data on persistent properties of a class or component.

Method Summary
`Property` `getProperty(String propertyName)`
`Iterator<Property>` `getPropertyIterator()`
`org.hibernate.annotations.common.reflection.XClass` `getXClass()`

Method Detail

### getPropertyIterator

    Iterator<Property> getPropertyIterator()

### getProperty

    Property getProperty(String propertyName)

### getXClass

    org.hibernate.annotations.common.reflection.XClass getXClass()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.